Bug 172858 - www/trac-bzr: do not directly depend on setuptools
Summary: www/trac-bzr: do not directly depend on setuptools
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-18 20:00 UTC by Ruslan Makhmatkhanov
Modified: 2012-10-22 08:23 UTC (History)
0 users

See Also:


Attachments
file.diff (1.95 KB, patch)
2012-10-18 20:00 UTC, Ruslan Makhmatkhanov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Makhmatkhanov freebsd_committer 2012-10-18 20:00:00 UTC
- replace direct setuptools dependency with USE_DISTUTILS=easy_install
- bump PORTREVISION because USE_DISTUTILS implies both build and run dependency
  on setuptools
- trim Makefile header
- tune PYDISTUTILS_* variables and rely upon bsd.python.mk code instead of
  implementing the same stuff manually
- tab -> space change in pkg-descr:WWW
- move pkg-plist contents into Makefile:PLIST_FILES

buildlog:
http://people.freebsd.org/~rm/trac-bzr-20110228_1.log

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-10-18 20:00:07 UTC
Maintainer of www/trac-bzr,

Please note that PR ports/172858 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/172858

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-10-18 20:00:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-10-18 20:21:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

My PR.
Comment 4 Radim Kolar 2012-10-21 13:59:05 UTC
i approve patch
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-10-22 08:23:47 UTC
State Changed
From-To: feedback->closed

Committed, thank you!